## org.eclipse.emf.ecore.xmi
Interface XMLResource.ElementHandler

All Known Implementing Classes:
  ElementHandlerImpl

Enclosing interface:
  XMLResource

    public static interface XMLResource.ElementHandler

An interface for an element handle that is used to deduce an appropriate feature when serializing a value of a specific type. The `getRoot` method is used to determine an appropriate feature to serialize a value of the given type. The `getSubstitutionGroup` method is used to determine a feature related by `substitution group affiliation` to the given feature for serializing a value of the given type.

Since:
  2.4

Method Summary
`EStructuralFeature` `getRoot(ExtendedMetaData extendedMetaData, EClassifier eClassifier)` Returns an appropriate feature for serializing a value of the give type.
`EStructuralFeature` `getSubstitutionGroup(ExtendedMetaData extendedMetaData, EStructuralFeature eStructuralFeature, EClassifier eClassifier)` Returns an feature, related by `substitution group affiliation` to the given feature, for serializing a value of the give type.

Method Detail

### getRoot

    EStructuralFeature getRoot(ExtendedMetaData extendedMetaData,
                               EClassifier eClassifier)

  Returns an appropriate feature for serializing a value of the give type.

  Parameters:
    `extendedMetaData` - the extended meta data in which to look up type information.
    `eClassifier` - the type of value to serialize.
  Returns:
    an appropriate feature for serializing a value of the give type or `null`.

### getSubstitutionGroup

    EStructuralFeature getSubstitutionGroup(ExtendedMetaData extendedMetaData,
                                            EStructuralFeature eStructuralFeature,
                                            EClassifier eClassifier)

  Returns an feature, related by `substitution group affiliation` to the given feature, for serializing a value of the give type.

  Parameters:
    `extendedMetaData` - the extended meta data in which to look up type information.
    `eStructuralFeature` - the feature that will be used if this method returns null.
    `eClassifier` - the type of value to serialize.
  Returns:
    an appropriate feature for serializing a value of the give type or `null`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.